#include <avr/io.h>
#include <stdio.h>
#include <avr/boot.h>
#include "bus.h"

void spmWriteWord(unsigned char *addr, unsigned int data){
	 boot_page_fill_safe(addr,data) ;
}

void spmErasePage(unsigned char *addr){
	boot_page_erase(addr);
}

void spmProgramPage(unsigned char *addr){
	while(boot_rww_busy()) {
		boot_rww_enable_safe();
	}
	boot_page_write_safe(addr);
	boot_rww_enable ();
}

void spmEEWriteByte(unsigned int addr, unsigned char data){
     asm volatile("nop");     
}
void spmWriteLockBits(unsigned char data){
	boot_lock_bits_set(data);
}
